#!/bin/sh
. /etc/rc.common

vendor="Hawking"
folder="Hawking Wireless Utility"
awake="AwakeHAWNU2UI"
ui="HAWNU2 Wireless Utility"

echo "Removing Startup Items..."
sudo /System/Library/StartupItems/WiUtilityUSBStartUp/LoginItem -stringArg /Applications/"$folder"/$awake.app -boolArg NO
sudo chmod -R 755 ~/Library/Preferences/loginwindow.plist
sudo rm -r /System/Library/StartupItems/WiUtilityUSBStartUp
sudo killall 'AppDaemonUSB'

echo "Removing Driver..."
sudo rm -r /System/Library/Extensions/RT2870USBWirelessDriver.kext

echo "Removing Wireless Utitity..."
sudo killall "$ui"
sudo killall "$awake"
sudo rm -r /Applications/"$folder"
sudo rm ~/Library/Preferences/com.$vendor.RaConfig.plist

echo "Removing Frameworks..."
sudo rm -r /Library/Frameworks/RaWLAPI.Framework

echo "Removing Package"
sudo rm -r /Library/Receipts/USBWireless-Panther.pkg

echo "Uninstall Complete."
